Project Setup Error

Anything libgdx related goes here!

Project Setup Error

Postby CreativePhilip » Mon Jan 06, 2020 4:13 pm

Hello, I downloaded the libGDX project setup, and tried to generate one with the following options:

subprojects
desktop, android

extensions
tools,controllers, box2d, box2dlights, ai

The problem is I get a build failed message I have attached the log below.
I tried using java 11 and java 8 with the same results.
Google isn't helping much.


**Edit
I don't know if the file has attached so this is a link to the error
https://www.codepile.net/pile/Bm2XjX0z
CreativePhilip
 
Posts: 7
Joined: Mon Jan 06, 2020 4:06 pm

Re: Project Setup Error

Postby shatterblast » Mon Jan 06, 2020 5:05 pm

What IDE are you using?
shatterblast
 
Posts: 653
Joined: Sun Jul 06, 2014 1:14 pm

Re: Project Setup Error

Postby CreativePhilip » Mon Jan 06, 2020 6:12 pm

shatterblast wrote:What IDE are you using?


Intellij IDEA
CreativePhilip
 
Posts: 7
Joined: Mon Jan 06, 2020 4:06 pm

Re: Project Setup Error

Postby shatterblast » Mon Jan 06, 2020 7:10 pm

According to Link 1) below, it sounds like you're trying to use an un-supported version of Java for compiling. You might try either Java 11 or 12 on your system for your source. If you're using Java 13, then that's your issue, and Gradle 5.4.1 doesn't support it.

1) https://stackoverflow.com/questions/583 ... version-57
shatterblast
 
Posts: 653
Joined: Sun Jul 06, 2014 1:14 pm

Re: Project Setup Error

Postby CreativePhilip » Mon Jan 06, 2020 8:45 pm

Thanks, that was the case and I managed to get past the error,
but now I'm getting this error.


https://www.codepile.net/pile/lw0KB6WV
CreativePhilip
 
Posts: 7
Joined: Mon Jan 06, 2020 4:06 pm

Re: Project Setup Error

Postby shatterblast » Mon Jan 06, 2020 9:19 pm

You should try again by re-importing your project. Clearing the Cache / Restarting from under the File menu does not always fix the issue.
shatterblast
 
Posts: 653
Joined: Sun Jul 06, 2014 1:14 pm

Re: Project Setup Error

Postby CreativePhilip » Tue Jan 07, 2020 7:21 am

The error occurs in the project setup app.
Also tried to reimport the project into the IDEA but a gradle task fails
CreativePhilip
 
Posts: 7
Joined: Mon Jan 06, 2020 4:06 pm

Re: Project Setup Error

Postby shatterblast » Tue Jan 07, 2020 2:28 pm

Then you should just try the default layout with Android, Desktop, HTML / GWT, iOS / Mac, or whatever other projects that you find near the middle and want. Ignore the rest. Delete your project folder before re-creating the project with the setup file. Don't use the advanced options. Try importing that into IntelliJ afterwards.

If it works, then you can manually add the other stuff to your build.gradle file later as dependencies.
shatterblast
 
Posts: 653
Joined: Sun Jul 06, 2014 1:14 pm

Re: Project Setup Error

Postby CreativePhilip » Tue Jan 07, 2020 4:26 pm

I did what you say and the creation went without errors.
I can compile and open the main test screen but when I close the window I get this error:
Code: Select all
Execution failed for task ':desktop:DesktopLauncher.main()'.
> Process 'command 'C:/Program Files/Java/jdk-11.0.1/bin/java.exe'' finished with non-zero exit value -1



Should I be concerned?
CreativePhilip
 
Posts: 7
Joined: Mon Jan 06, 2020 4:06 pm

Re: Project Setup Error

Postby shatterblast » Tue Jan 07, 2020 5:42 pm

It might be a conflict between LibGDX and your version of the Android Build Tools. You will want to visit your main build.gradle file and make sure that it reads as 28.0.3. Anything higher will break your Android build, until the next LibGDX update.

Link 1) below lists what versions of LibGDX stuff you should not exceed. Other dependencies do not matter so much, unless it's Android specific. If that happens to you, then you would want something compatible with the Android Build Tools version of your current LibGDX build. That pretty much is the reference point for all things Android and its related dependencies, excluding your preferred range of supported API versions. Otherwise, you could just try to include a foreign dependency and see if it breaks your Android build. If it doesn't, then it's usually safe to use, because the Android runtime filters out everything it can before hand.

1) https://libgdx.badlogicgames.com/versions.html
shatterblast
 
Posts: 653
Joined: Sun Jul 06, 2014 1:14 pm

Next

Return to Libgdx

Who is online

Users browsing this forum: Majestic-12 [Bot] and 1 guest

cron